Package org.eclipse.gef.ui.properties

# Class UndoablePropertySheetPage

java.lang.Object
org.eclipse.ui.part.Page
org.eclipse.ui.views.properties.PropertySheetPage
org.eclipse.gef.ui.properties.UndoablePropertySheetPage

All Implemented Interfaces:
  `EventListener`, `IAdaptable`, `ISelectionListener`, `IPage`, `IPageBookViewPage`, `IPropertySheetPage`

public class UndoablePropertySheetPage extends PropertySheetPage
PropertySheetPage extension that allows to perform undo/redo of property value changes also in case the editor is not active.

Since:
  3.7

## Field Summary

### Fields inherited from class org.eclipse.ui.views.properties.PropertySheetPage

`HELP_CONTEXT_PROPERTY_SHEET_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`UndoablePropertySheetPage(CommandStack commandStack, IAction undoAction, IAction redoAction)`
Constructs a new `UndoablePropertySheetPage`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Overwritten to unregister command stack listener.
`void`
`setActionBars(IActionBars actionBars)`
Overwritten to register global action handlers for undo and redo.

### Methods inherited from class org.eclipse.ui.views.properties.PropertySheetPage

`createControl, getAdapter, getControl, getSaveablePart, handleEntrySelection, initDragAndDrop, makeContributions, refresh, selectionChanged, setFocus, setPropertySourceProvider, setRootEntry, setSorter`

### Methods inherited from class org.eclipse.ui.part.Page

`getSite, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UndoablePropertySheetPage

public UndoablePropertySheetPage(CommandStack commandStack, IAction undoAction, IAction redoAction)
Constructs a new `UndoablePropertySheetPage`.

Parameters:
  `commandStack` - The `CommandStack` shared with the editor.
  `undoAction` - The global action handler to be registered for undo operations.
  `redoAction` - The global action handler to be registered for redo operations.

## Method Details

### dispose

public void dispose()
Overwritten to unregister command stack listener.

Specified by:
  `dispose` in interface `IPage`
Overrides:
  `dispose` in class `PropertySheetPage`
See Also:
  - `PropertySheetPage.dispose()`

### setActionBars

public void setActionBars(IActionBars actionBars)
Overwritten to register global action handlers for undo and redo.

Specified by:
  `setActionBars` in interface `IPage`
Overrides:
  `setActionBars` in class `PropertySheetPage`
See Also:
  - `PropertySheetPage.setActionBars(org.eclipse.ui.IActionBars)`